[Pkg-ocaml-maint-commits] r1917 - trunk/packages/facile/trunk/debian/patches

Steffen Joeris white-guest at costa.debian.org
Fri Nov 4 15:24:42 UTC 2005


Author: white-guest
Date: 2005-11-04 15:24:41 +0000 (Fri, 04 Nov 2005)
New Revision: 1917

Added:
   trunk/packages/facile/trunk/debian/patches/20-Makefile.dpatch
Modified:
   trunk/packages/facile/trunk/debian/patches/00list
Log:
also patched the Makefile for the install rule


Modified: trunk/packages/facile/trunk/debian/patches/00list
===================================================================
--- trunk/packages/facile/trunk/debian/patches/00list	2005-11-04 15:10:09 UTC (rev 1916)
+++ trunk/packages/facile/trunk/debian/patches/00list	2005-11-04 15:24:41 UTC (rev 1917)
@@ -1 +1,2 @@
 10-srcMakefile
+20-Makefile

Added: trunk/packages/facile/trunk/debian/patches/20-Makefile.dpatch
===================================================================
--- trunk/packages/facile/trunk/debian/patches/20-Makefile.dpatch	2005-11-04 15:10:09 UTC (rev 1916)
+++ trunk/packages/facile/trunk/debian/patches/20-Makefile.dpatch	2005-11-04 15:24:41 UTC (rev 1917)
@@ -0,0 +1,41 @@
+#!/bin/sh -e
+## 10-debianlike.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Here we make facile available for more architectures :=)
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- Makefile.orig	2005-11-04 16:14:10.000000000 +0100
++++ facile-1.1/Makefile	2005-11-04 16:16:50.000000000 +0100
+@@ -7,10 +7,11 @@
+ 
+ install:
+ 	if test -d $(FACILEDIR); then : ; else mkdir $(FACILEDIR); fi
+-	cp src/facile.cmi src/facile.cma src/facile.cmxa src/facile.a $(FACILEDIR)
++	cp src/facile.cmi src/facile.cma src/facile.a $(FACILEDIR)	
++	if [ -e src/facile.cmxa ] ; then cp src/facile.cmxa $(FACILEDIR) ; fi
+ 	chmod a+r $(FACILEDIR)/facile.cmi
+ 	chmod a+r $(FACILEDIR)/facile.cma
+-	chmod a+r $(FACILEDIR)/facile.cmxa
++	if [ -e $(FACILEDIR)/facile.cmxa ] ; then chmod a+r $(FACILEDIR)/facile.cmxa ; fi
+ 	chmod a+r $(FACILEDIR)/facile.a
+ 
+ clean:


Property changes on: trunk/packages/facile/trunk/debian/patches/20-Makefile.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-ocaml-maint-commits mailing list